/***************************************************************************
 *   Copyright (C) 2006 by Michael Schulze   *
 *   mike.s@genion.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "addtracktest.h"

#include "ipod.h"

int AddTrackTest::run( QStringList& ) {

    IPod * ipod = findFirstIPod();
    if ( !ipod ) {
        return -1;
    }

    // get the iTunesDB instance
    ITunesDB& itunesdb = ipod->getITunesDB();
    
    printf( "creating new track\n" );

    ITunesDBTrack * new_trk = itunesdb.createNewTrack( ".mp3" );
	printf( "created new track for path %s\n", new_trk->getFilePath().ascii() );
	
    itunesdb::TrackPredicates::Contains finder( "e", false );
    ITunesDBTrack * track = itunesdb.findFirstTrackBy( finder );

    if ( track ) {
    	printf( "track found %s\n", track->getTitle().ascii() );
        new_trk->readFrom( *track );
        if ( !itunesdb.addTrack( new_trk ) ) {
        	printf( "Couldn't add track to database.\n" );
        	delete new_trk;
        }
    } else {
        printf( "Couldn't check - no track found\n" );
    }


    printf("closing ipod instance\n");
    ipod->close();
    delete ipod;

    return 0;
}

QString AddTrackTest::getName() {
    return "addtrack";
}

