/***************************************************************************
 *   Copyright (C) 2006 by Michael Schulze   *
 *   mike.s@genion.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "inittest.h"

#include "ipod.h"

int InitTest::run( QStringList& arguments ) {

    if ( arguments.size() < 2 ) {
        fprintf( stderr, "Usage: ipodtest init <mountpoint> <title>\n" );
        return -1;
    }

    printf( "initializing ipod at %s with name %s\n", arguments[ 0 ].ascii(), arguments[ 1 ].ascii() );

    QString mountpoint = arguments[ 0 ];
    IPod ipod( arguments[ 0 ] );
    ipod.initialize( arguments[ 1 ] );
    
    if ( !ipod.open() ) {
    	printf( "initialize failed\n" );
    } else {
    	printf( "successfully initialized %s\n", ipod.getName().ascii() );
    }

    ipod.close();
    return 0;
}

QString InitTest::getName() {
    return "init";
}

